#include <SHT1x.h>
float temp_c;
float humidity;

#define dataPin  6
#define clockPin 7
SHT1x sht1x(dataPin, clockPin);

void setup() {
 Serial.begin(115200);
  delay(100);
}

void loop() {
  delay(2000);
 temp_c = sht1x.readTemperatureC();
 humidity = sht1x.readHumidity();
 logData();
}

void logData() {
  Serial.print("Temperature = ");   Serial.print(temp_c);
  Serial.print(" C, Humidity = ");  Serial.print(humidity);
  Serial.println(" %");
} 
